# Deprecated API

## Contents

- Constructors

Deprecated Constructors
Constructor
Description
org.apache.sling.discovery.commons.InitDelayingTopologyEventListener(long, TopologyEventListener, Scheduler)
Use `InitDelayingTopologyEventListener(long, TopologyEventListener)`
org.apache.sling.discovery.commons.InitDelayingTopologyEventListener(long, TopologyEventListener, Scheduler, Logger)
Use `InitDelayingTopologyEventListener(long, TopologyEventListener, Logger)`